@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);


@media only screen and(min-width:800px){
    
.bigscreen-display-none{
    display: none ;
}
}
.felice-home-image{
    min-width: 100%;
    height:72vh;
    background-color: $secondBackground;
    background-image: url("https://wdev.be/wdev_alexander/eindwerk/system/image.php?test.jpg&width=1500&image=/wdev_alexander/eindwerk/system/img/fe/main.jpg");
    background-repeat: no-repeat;
    background-position:  center;
    background-size:  cover !important;
    -ms-background-size: cover; 
    -o-background-size: cover;
    -moz-background-size: cover; 
    -webkit-background-size: cover; 
}

p{
    line-height: 1.7rem;
}


.intro-webshop div{
  
        max-width: $maxWidthPage !important;
    
    
    @include flexBox(row, space-between,center);
    aside{
        width: 40%;
        div{
            @include flexBox(column)
        }
        a{
            &:hover{
                background-color: $black;
                color: $white;
            }
            border-radius: 5px;
            text-decoration: none;
            display: block;
            margin: $mediumMargin;
            border: 2px solid $black;
            padding: $normalPadding;
            color: $black;
        }
    
  
    }
    article{
        width: 60%;
        h2{
            padding:$bigPadding ;
            font-size: 3rem;
        }
        p{
            padding: 0 $bigPadding $bigPadding;
            transition: ease-in-out 2000ms; 
            line-height: 1.7rem;
        }

    }


}

.felice-categorien{
    width: 100%;
    background-color: $secondBackground !important;
    color: $white;
    width: 100%;
    background-color: $white;
    @include flexBox();
    .title{     
        color: $black;
        max-width: $maxWidthPage;
        width: 50%;
        h2{
            text-align: left;
            padding: $bigPadding;           
            font-size: 1.8rem;
        }
        p{
            padding: 0 $bigPadding ;
            line-height: 1.7rem;
        }
    }

    a{
        color: $white;
    }

    .f-c-cattyle-container{
        max-width: $maxWidthPage;
        @include flexBox(row,space-around,flex-start,wrap)
    }
    .felice-category-article{
        @include flexBox(column,flex-start);
        background-color: $white;
        width: 26%;
        min-height: 550px;
        max-width: $maxWidthPage;
        margin: $bigMargin 0;
        .f-c-img-container{
            position: relative;
        }

        img{
            width: 100%;      
        }
        .f-c-discription{
            padding: $normalPadding;
            text-align: left;
            p{
                font-size: .8rem;
                line-height: 1.5rem !important;
            }

            color: $black;
            background-color:$white;
            transition: all 1000ms;
            &:hover{
                font-weight: bold;
                transition: all 1000ms;
            }
    }

        .felice-category-overlay{
            background-color:$whiteTransparent;
            overflow: hidden;
            position: absolute;
            width: 100%;
            height: 100%;
            top:0px;
            h2{
                font-size: 1.2rem;
                padding: $bigPadding;
                transition: ease-in-out 1000ms;
            }
              
            .f-c-title{
                position: relative;
                .upper-line-f{
                    width: 60px;
                    height: 1px;
                    background-color: $white;
                    position: absolute;
                    top:30px;
                    left:30px;
                    transition: ease-in-out 1000ms;
                }
                .lower-line-f{
                    width: 70px;
                    height: 1px;
                    background-color: $white;
                    position: absolute;
                    top:60px;
                    left:45px;
                    transition: ease-in-out 1000ms;
                }
                
            }
            transition: all 1200ms;
            &:hover{
                overflow: hidden;
                background-color:$blackTransparent;
                transition: all 1200ms;
                .f-c-title{
                    h2{     
                        font-size: 1.6rem;
  
                        transition: ease-in-out 2000ms; 
                    }                 
                    .upper-line-f{
                        transition: ease-in-out 2000ms;               
                        left:20px;  
                    }
                    .lower-line-f{
                        transition: ease-in-out 2000ms;
                        top:65px ;
                        left:80px;
                    }
                }
            }      
        }
    }
    
    .felice-category-img-small{
        display:none;
    }
}



@media only screen and(max-width:800px){
    .smallscreen-display-none{
        display: none;
    }
    .felice-home-image{
        height: 68vh;
        background-image: url("https://wdev.be/wdev_alexander/eindwerk/system/image.php?test.jpg&width=300&image=/wdev_alexander/eindwerk/system/img/fe/main-small.jpg") !important;    
    
    }
    .intro-webshop{
        div{
            width: 100% !important;
            flex-direction: column !important;
            article{
                width: 100%;
                h2{
                    text-align: center;
                    padding: $normalPadding !important;
                    font-size: 1.7rem;
                }
                p{
                    text-align: center;
                }

            }
            aside{
                border-bottom: 1px solid $black;
                width: 100%;
                h2{
                    font-size: 1.2rem !important;
                }
                .felice-intro-search{
    
                    div{  
                        &:hover{
                            background-color: $black !important;
                        }   
                        padding: $normalPadding 0 !important;
                        a{
                            color: $white;
                            background-color: $black;
                            text-align: center;
                            width: 70vw !important;
                        }
                    }
                }
                
            }

        }
  
    }
    section{
        max-width: 100vw;
    }
    .felice-search{

    }
    .felice-categorien{
        width: 100% !important;
        background-color: $secondBackground !important;
    
        .title{
            width: 100% !important;
            margin-bottom: 15px;
            h2{
                color:$black;
                text-align: center;
                padding: $normalPadding;
            }
            p{
                color: $black;
                text-align: center;
                line-height: 1.3rem;
            }
          
        }
        .f-c-container{
            @include flexBox(column)
        }
        .felice-category-img-big{
            display:none;
        }
        .f-c-cattyle-container{
            width: 80%;
        
            flex-direction: column !important;
            justify-content: flex-start !important;
        }
        .felice-category-article{
            width: 100%;
            min-width: 100% !important;
            min-height: 100%;        
            background-color: $black !important;
            margin: 20px 0px;
            box-shadow: 3px 5px $blackTransparent;
           
            .f-c-title{
                color: $black;
                div{
               
                }
                .upper-line-f{
                    background-color: $black !important;  
                }
                .lower-line-f{
                    background-color: $black !important;  
                }
            }

   
            .felice-category-img-small{
                display: block;
                min-width: 100% !important;
            }
            .f-c-discription{
                margin-top: 50px;
                background-color: $secondBackgroundTransp;
                padding: $normalPadding;
                text-align: left;
                p{
                    
                    font-size: .8rem;
                    line-height: 1.2rem !important;
                }
    
                color: $black;
         
                transition: all 1000ms;
                &:hover{
                    font-size: 1.6rem;
                    transition: all 1000ms;
                }
        }
        }

    }
   
}

